Skip to main content
DELETE
/
v3
/
data_points
/
{identifier}
Delete a data point
curl --request DELETE \
  --url https://{region}.affinda.com/v3/data_points/{identifier} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{region}.affinda.com/v3/data_points/{identifier}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{region}.affinda.com/v3/data_points/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "type": "validation_error",
  "errors": [
    {
      "attr": "non_field_errors",
      "code": "unique",
      "detail": "This index name has already been used"
    }
  ]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

identifier
string
required

DataPoint's identifier Uniquely identify a data point.

Example:

"XprEvgai"

Response

Delete successful, no content returned